<?php
/************************************************************************
 * M-XChange v0.2.1                                   Start: 04/24/2005 *
 * ================                             Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_sponsor.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit sponsor account                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sponsorenaccount aendern                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
} // END - if

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

if (REQUEST_ISSET_GET('id')) {
	// Check for selected sponsor
	$result = SQL_QUERY_ESC("SELECT email, gender, surname, family FROM `{!_MYSQL_PREFIX!}_sponsor_data` WHERE `id`='%s' LIMIT 1",
	array(bigintval(REQUEST_GET('id'))), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) {
		// Remove sponsor
		if (isFormSent()) {
			// Load data and remember it in constants
			list($email, $gender, $surname, $family) = SQL_FETCHROW($result);

			// Free result
			SQL_FREERESULT($result);

			define('__EMAIL'  , $email);
			define('__GENDER'  , translateGender($gender));
			define('__SURNAME', $surname);
			define('__FAMILY' , $family);

			// Prepare message and send it away
			$msg = LOAD_EMAIL_TEMPLATE("del_sponsor", REQUEST_POST('reason'), bigintval(REQUEST_GET('id')));
			sendEmail($email, getMessage('ADMIN_SPONSOR_DEL_SUBJECT'), $msg);

			// Remove account
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{!_MYSQL_PREFIX!}_sponsor_data` WHERE `id`='%s' LIMIT 1",
			array(bigintval(REQUEST_GET('id'))), __FILE__, __LINE__);

			// Remove orders
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{!_MYSQL_PREFIX!}_sponsor_orders` WHERE sponsorid='%s' LIMIT 1",
			array(bigintval(REQUEST_GET('id'))), __FILE__, __LINE__);

			// Output message
			LOAD_TEMPLATE('admin_settings_saved', false, sprintf(getMessage('ADMIN_SPONSOR_DELETED'), bigintval(REQUEST_GET('id'))));
		} elseif (REQUEST_ISSET_POST('no')) {
			// Do not delete him...
			redirectToUrl('modules.php?module=admin&amp;what=list_sponsor&amp;id='.bigintval(REQUEST_GET('id')));
		} else {
			// Load data
			list ($email, $gender, $sname, $fname) = SQL_FETCHROW($result);

			// Transfer data to constants for the template
			define('__EMAIL' , $email);
			define('__SNAME' , $sname);
			define('__FNAME' , $fname);
			define('__GENDER', translateGender($gender));
			define('__UID'   , bigintval(REQUEST_GET('id')));

			// Display form
			LOAD_TEMPLATE('admin_del_sponsor');
		}
	} else {
		// Sponsor not found!
		LOAD_TEMPLATE('admin_settings_saved', false, sprintf(getMessage('ADMIN_SPONSOR_404'), bigintval(REQUEST_GET('id'))));
	}
} else {
	// Not called by what-list_sponsor.php
	LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_CALL_NOT_DIRECTLY'));
}

//
?>
